/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

*/
#ifndef _NJ_CNK_TOON_H_
#define _NJ_CNK_TOON_H_

typedef    struct    {
    Sint32   inten;            /* Intensity               */
    Float    sx;               /* Screen X                */
    Float    sy;               /* Screen Y                */
    Float    ooz;              /* One over Z              */
    Float    shade;            /* Shade                   */
    Float    x;                /* 3D X                    */
    Float    y;                /* 3D Y                    */
    Float    z;                /* 3D Z                    */
} NJS_CNK_TOON_BUF;

typedef    struct    {
    Float    sx;               /* Screen X                */
    Float    sy;               /* Screen Y                */
    Float    ooz;              /* One over Z              */
    Float    z;                /* 3D Z                    */
} NJS_CNK_TOON_EDGE_BUF;


void    njCnkSetToonLight( Float x,Float y,Float z );
void    njCnkSetToonLightIntensity( Float inten, Float ambient );
void	njCnkSetToonShade( Uint32 face, Uint32 shadow );

Sint32	njCnkToonDrawModel( NJS_CNK_MODEL *model );
void	njCnkToonDrawObject( NJS_CNK_OBJECT *object );

void	njCnkSetToonEdge( Float rate, Uint32 col );
Sint32	njCnkToonEdgeDrawModel( NJS_CNK_MODEL *model );
void	njCnkToonEdgeDrawObject( NJS_CNK_OBJECT *object );

#endif	/*	_NJ_CNK_TOON_H_	*/

/*
 * End Of File
 */
